package main.java.com.siman;

import java.util.HashMap;

public class SaberPattern {
    static public HashMap<String, Coord> EXPECT_MAP;

    static {
        EXPECT_MAP = new HashMap<String, Coord>(){
            {put("4C",new Coord(4,3,-6,0,-4,2,-4,-2));}
            {put("4CH",new Coord(4,3,-5,1,-4,2,-3,-1));}
            {put("4@",new Coord(4,3,0,-6,-2,-4,1,-5));}
            {put("4FMV",new Coord(4,1,-3,1));}
            {put("4@r",new Coord(4,3,1,-5,2,-4,-1,-3));}
            {put("4-",new Coord(4,3,2,5,-2,5,-1,6));}
            {put("4!",new Coord(4,3,0,-7,-2,-5,-1,-5));}
            {put("4c",new Coord(4,3,6,0,4,2,4,-2));}
            {put("4)",new Coord(4,3,0,6,2,4,1,6));}
            {put("4MV*",new Coord(4,1,-2,2));}
            {put("4F",new Coord(4,3,-5,-1,-3,-3,-4,-2));}
            {put("4Y",new Coord(4,3,-3,4,1,4,-1,5));}
            {put("4Q",new Coord(4,3,-1,-6,1,-4,0,-5));}
            {put("4CHO",new Coord(4,1,-4,2));}
            {put("4@#",new Coord(4,3,-1,-5,0,-5,-1,-2));}
            {put("4R$",new Coord(4,3,0,-4,-2,-2,1,-3));}
            {put("4@#rs",new Coord(4,1,1,-4));}
            {put("4KT",new Coord(4,3,-3,-1,-1,-3,-2,0));}
            {put("4J",new Coord(4,3,-2,-5,-4,-3,-1,-3));}
            {put("4R",new Coord(4,3,-1,-5,-3,-3,0,-4));}
            {put("4h",new Coord(4,3,3,3,5,1,4,0));}
            {put("4V*x",new Coord(4,1,-1,3));}
            {put("4DIP",new Coord(4,2,-4,3,-4,2));}
            {put("4GNW",new Coord(4,1,-3,2));}
            {put("4a",new Coord(4,3,7,0,5,2,4,0));}
            {put("4i",new Coord(4,3,3,4,5,2,2,2));}
            {put("4p",new Coord(4,3,2,5,4,3,1,2));}
            {put("4Q#",new Coord(4,3,0,-5,-2,-3,2,-4));}
            {put("4LUV&",new Coord(4,2,-2,1,-3,1));}
            {put("4b",new Coord(4,3,6,-1,4,-3,3,1));}
            {put("4y",new Coord(4,3,1,6,3,4,0,5));}
            {put("4fc",new Coord(4,3,5,-1,3,1,4,-2));}
            {put("4!q",new Coord(4,3,1,-6,-1,-4,2,-5));}
            {put("4o",new Coord(4,3,2,4,4,2,3,1));}
            {put("4R@",new Coord(4,3,-1,-5,1,-3,-2,-4));}
            {put("4UV&w",new Coord(4,1,-1,2));}
            {put("4CF",new Coord(4,3,-3,1,-5,-1,-4,-2));}
            {put("4FM",new Coord(4,3,-4,0,-2,-2,-3,1));}
            {put("4K",new Coord(4,3,-2,-4,-4,-2,-2,0));}
            {put("4d",new Coord(4,3,4,3,6,1,5,1));}
            {put("4A",new Coord(4,3,-5,2,-7,0,-5,-2));}
            {put("4()",new Coord(4,3,0,5,1,5,2,4));}
            {put("4HOX",new Coord(4,2,-3,3,-1,1));}
            {put("4D",new Coord(4,3,-4,3,-4,-1,-5,1));}
            {put("4E",new Coord(4,3,-3,-4,-5,-2,-2,-2));}
            {put("4rkf",new Coord(4,1,3,-3));}
            {put("4tmh",new Coord(4,1,3,-1));}
            {put("4B",new Coord(4,3,-4,-3,-6,-1,-4,1));}
            {put("4q",new Coord(4,3,1,-6,3,-4,-1,-4));}
            {put("4)x",new Coord(4,3,1,5,-1,3,2,4));}
            {put("4CG",new Coord(4,3,-4,2,-3,2,-5,0));}
            {put("4V",new Coord(4,3,-3,1,-1,3,-3,0));}
            {put("4%tun",new Coord(4,1,2,-1));}
            {put("4PX*",new Coord(4,1,-2,2));}
            {put("4DI",new Coord(4,3,-5,2,-4,3,-3,0));}
            {put("4R#$st",new Coord(4,3,1,-3,1,-2,2,-3));}
            {put("4$tm",new Coord(4,1,2,-2));}
            {put("4x",new Coord(4,3,1,5,3,3,6,-1));}
            {put("4OX)",new Coord(4,2,-2,4,-1,4));}
            {put("4mh",new Coord(4,3,4,0,2,2,3,-2));}
            {put("4r",new Coord(4,3,1,-5,3,-3,-1,-3));}
            {put("4*vm",new Coord(4,1,2,2));}
            {put("4(",new Coord(4,3,2,3,-2,3,2,2));}
            {put("4#",new Coord(4,3,0,-5,-2,-3,2,-3));}
            {put("4G",new Coord(4,3,-3,2,-3,-2,-2,1));}
            {put("4(w",new Coord(4,2,1,4,2,3));}
            {put("4R$t",new Coord(4,1,1,-3));}
            {put("4kfc",new Coord(4,1,4,-2));}
            {put("4gd",new Coord(4,3,5,0,3,2,4,-1));}
            {put("4H",new Coord(4,3,-3,3,-5,1,-3,-1));}
            {put("4)xo",new Coord(4,1,2,4));}
            {put("4BGN",new Coord(4,2,-4,1,-2,-1));}
            {put("4X*",new Coord(4,3,-2,2,0,4,-1,1));}
            {put("4Q@#",new Coord(4,3,0,-5,1,-4,-1,-3));}
            {put("4%tu",new Coord(4,3,2,-1,1,-2,0,-2));}
            {put("4g",new Coord(4,3,3,2,5,0,2,1));}
            {put("4NU%",new Coord(4,1,-2,-1));}
            {put("4EJQ",new Coord(4,3,-3,-4,-3,-3,-2,-4));}
            {put("4t",new Coord(4,3,3,-1,1,-3,2,-2));}
            {put("4@rk",new Coord(4,2,2,-4,2,-3));}
            {put("4X",new Coord(4,3,-1,5,-3,3,1,3));}
            {put("4BEJ",new Coord(4,3,-4,-3,-3,-3,-4,-2));}
            {put("4j",new Coord(4,3,2,-5,4,-3,3,-4));}
            {put("4O",new Coord(4,3,-2,4,-4,2,0,2));}
            {put("4KR@",new Coord(4,2,-2,-4,0,-2));}
            {put("4VW*x",new Coord(4,1,-1,3));}
            {put("4ni",new Coord(4,3,2,3,4,1,2,2));}
            {put("4P",new Coord(4,3,-2,5,-4,3,-1,5));}
            {put("4BG",new Coord(4,3,-3,-2,-5,0,-4,1));}
            {put("4JS",new Coord(4,3,-3,-2,-1,-4,-2,-1));}
            {put("4vmf",new Coord(4,2,3,1,3,2));}
            {put("4JS%",new Coord(4,2,-2,-1,0,-3));}
            {put("4ba",new Coord(4,3,6,-1,4,1,5,-2));}
            {put("4LU&",new Coord(4,1,-2,1));}
            {put("4*x",new Coord(4,3,0,4,2,2,-1,3));}
            {put("4(y",new Coord(4,3,2,3,0,5,-1,4));}
            {put("4LMUV&",new Coord(4,3,-2,1,-1,1,-2,2));}
            {put("4S%tu",new Coord(4,1,1,-2));}
            {put("4AD",new Coord(4,3,-6,1,-4,-1,-3,0));}
            {put("4CFG",new Coord(4,2,-3,1,-3,2));}
            {put("4S%u",new Coord(4,1,1,-2));}
            {put("4Y-",new Coord(4,3,-1,6,1,4,0,6));}
            {put("4gc",new Coord(4,3,4,-2,5,-1,5,1));}
            {put("4k",new Coord(4,3,4,-2,2,-4,2,-3));}
            {put("4FGMNV",new Coord(4,3,-3,1,-3,0,-3,2));}
            {put("4vo",new Coord(4,3,3,1,1,3,2,0));}
            {put("4slg",new Coord(4,1,3,-2));}
            {put("4X)",new Coord(4,3,-1,5,1,3,-2,4));}
            {put("4X*v",new Coord(4,1,1,3));}
            {put("4ADI",new Coord(4,3,-5,2,-3,0,-4,2));}
            {put("4S#",new Coord(4,3,-1,-4,-2,-3,-2,-4));}
            {put("4uni",new Coord(4,2,3,0,1,2));}
            {put("4TU%",new Coord(4,2,-1,-2,-2,-1));}
            {put("4f",new Coord(4,3,5,-1,3,-3,5,0));}
            {put("4MNVW*",new Coord(4,3,-2,2,-2,1,-3,2));}
            {put("4T#$r",new Coord(4,2,-1,-3,-2,-3));}
            {put("4I",new Coord(4,3,-5,2,-3,4,-2,4));}
            {put("4MNTU%",new Coord(4,2,-2,-1,-3,-1));}
            {put("4*vwmn",new Coord(4,2,2,2,2,3));}
            {put("4NTU%",new Coord(4,1,-2,-1));}
            {put("4U&w",new Coord(4,1,-1,2));}
            {put("4ELU",new Coord(4,2,-3,0,-1,-2));}
            {put("4BF",new Coord(4,3,-5,-1,-3,-2,-4,0));}
            {put("4lgd",new Coord(4,2,4,-1,2,1));}
            {put("4VW*(x",new Coord(4,3,-1,3,0,3,-2,3));}
            {put("4R#$",new Coord(4,3,0,-4,0,-3,1,-3));}
            {put("4Y()",new Coord(4,3,0,5,1,5,1,4));}
            {put("4#s",new Coord(4,3,1,-4,2,-3,1,-5));}
            {put("4QR#",new Coord(4,3,-2,-3,-1,-2,-2,-2));}
            {put("4EL",new Coord(4,2,-2,-3,-4,-1));}
            {put("4vm",new Coord(4,3,2,2,3,1,3,2));}
            {put("4T",new Coord(4,3,-1,1,-2,-3,-3,-1));}
            {put("4NW(",new Coord(4,1,-2,3));}
            {put("4W(y",new Coord(4,3,-1,4,1,2,-2,4));}
            {put("4&uvl",new Coord(4,1,2,1));}
            {put("4-y",new Coord(4,3,1,6,0,4,0,3));}
            {put("4op",new Coord(4,2,2,4,1,4));}
            {put("4yp",new Coord(4,3,2,5,0,3,1,3));}
            {put("4ypi",new Coord(4,2,3,4,0,5));}
            {put("4X*(",new Coord(4,2,0,4,1,3));}
            {put("4&",new Coord(4,3,0,3,-1,3,0,-1));}
            {put("4&wp",new Coord(4,2,0,3,2,1));}
            {put("4ohc",new Coord(4,1,4,2));}
            {put("4ida",new Coord(4,2,5,2,3,0));}
            {put("4!qj",new Coord(4,2,2,-5,0,-3));}
            {put("4#sl",new Coord(4,1,2,-3));}
            {put("4%un",new Coord(4,1,2,-1));}
            {put("4FKR",new Coord(4,1,-3,-3));}
            {put("4BCG",new Coord(4,3,-5,0,-4,1,-5,-1));}
            {put("4*(xy",new Coord(4,1,0,4));}
            {put("4gcd",new Coord(4,3,5,0,5,1,3,2));}
            {put("4Y(",new Coord(4,3,-2,3,0,5,-1,2));}
            {put("4TU%s",new Coord(4,1,-1,-2));}
            {put("4()y",new Coord(4,3,0,5,1,5,1,3));}
            {put("4HM",new Coord(4,3,-2,2,-4,0,-1,1));}
            {put("4MT$",new Coord(4,2,-2,-2,-3,-2));}
            {put("4IPY",new Coord(4,2,-3,4,-2,4));}
            {put("4W&uv",new Coord(4,1,1,2));}
            {put("4LMT$",new Coord(4,1,-2,-2));}
            {put("4$",new Coord(4,3,0,-4,-2,-2,2,-2));}
            {put("4JKQR@",new Coord(4,2,-2,-4,-3,-4));}
            {put("4wp",new Coord(4,3,3,2,1,4,2,1));}
            {put("4GHMT",new Coord(4,1,-3,-1));}
            {put("4e",new Coord(4,3,5,-2,3,-4,4,-2));}
            {put("4$t",new Coord(4,3,2,-2,1,-3,2,-3));}
            {put("4PY-",new Coord(4,3,-2,5,0,3,-1,5));}
            {put("4jeb",new Coord(4,1,4,-3));}
            {put("4UV&*w",new Coord(4,2,-1,2,0,2));}
            {put("4%tumn",new Coord(4,3,2,-1,2,0,1,-1));}
            {put("4HMT",new Coord(4,3,-3,-1,-2,-1,-1,1));}
            {put("4UV&",new Coord(4,3,-1,2,-2,1,-2,0));}
            {put("4*",new Coord(4,3,0,4,2,2,-2,2));}
            {put("4W",new Coord(4,3,-1,4,-3,2,-1,0));}
            {put("4mf",new Coord(4,3,4,0,2,-2,1,-1));}
            {put("4$r",new Coord(4,3,0,-4,2,-2,1,-1));}
            {put("4&vwp",new Coord(4,2,2,1,3,1));}
            {put("4QR",new Coord(4,3,-1,-5,-2,-4,-1,-2));}
            {put("4V*(x",new Coord(4,1,-1,3));}
            {put("4&uv",new Coord(4,2,1,2,2,1));}
            {put("4HIMN",new Coord(4,2,-2,2,-3,0));}
            {put("4S$%u",new Coord(4,1,1,-2));}
            {put("4-yp",new Coord(4,1,2,5));}
            {put("4)-",new Coord(4,3,0,6,1,6,1,5));}
            {put("4W&*uv",new Coord(4,1,1,2));}
            {put("4@#q",new Coord(4,3,-1,-4,0,-5,-1,-5));}
            {put("4#q",new Coord(4,3,0,-5,2,-3,1,-3));}
            {put("4hd",new Coord(4,3,5,1,3,0,4,2));}
            {put("4VW*",new Coord(4,3,-2,2,-2,3,-1,3));}
            {put("4AB",new Coord(4,3,-6,-1,-5,-2,-4,1));}
            {put("4v",new Coord(4,3,1,3,3,1,2,2));}
            {put("4eba",new Coord(4,3,5,-2,3,0,5,-1));}
            {put("4DGH",new Coord(4,3,-3,2,-4,0,-2,1));}
            {put("4ST#$r",new Coord(4,2,-1,-3,-2,-3));}
            {put("4HO",new Coord(4,3,-4,2,-3,3,-3,2));}
            {put("4MT",new Coord(4,3,-2,-2,-3,-1,-3,-2));}
            {put("4hc",new Coord(4,3,5,1,3,-1,4,2));}
            {put("4WX()y",new Coord(4,2,-1,4,0,4));}
            {put("4V*",new Coord(4,3,-2,2,-1,3,-2,3));}
            {put("4!@qr",new Coord(4,2,1,-5,0,-3));}
            {put("4MNV*",new Coord(4,1,-2,2));}
            {put("4ca",new Coord(4,3,6,0,5,0,5,-1));}
            {put("4!@",new Coord(4,3,0,-6,-1,-4,0,-5));}
            {put("4W&u",new Coord(4,1,1,2));}
            {put("4U&",new Coord(4,3,-1,2,-2,1,-1,1));}
            {put("4LMU&",new Coord(4,1,-2,1));}
            {put("4xoh",new Coord(4,2,3,3,2,3));}
            {put("4PWX*",new Coord(4,1,-2,2));}
            {put("4KQR@",new Coord(4,1,-2,-4));}
            {put("4FMNV",new Coord(4,1,-3,1));}
            {put("4FGMV",new Coord(4,1,-3,1));}
            {put("4EK",new Coord(4,1,-4,-2));}
            {put("4IN",new Coord(4,3,-2,3,-4,1,-3,0));}
            {put("4hi",new Coord(4,1,3,3));}
            {put("4U&*w",new Coord(4,1,-1,2));}
            {put("4*v",new Coord(4,2,1,3,2,2));}
            {put("4mghd",new Coord(4,3,4,0,4,1,2,1));}
            {put("4S@#q",new Coord(4,2,-1,-4,-2,-4));}
            {put("4wng",new Coord(4,1,3,2));}
            {put("4rk",new Coord(4,3,3,-3,2,-4,2,-3));}
            {put("4%sj",new Coord(4,2,0,-3,2,-1));}
            {put("4@qrjk",new Coord(4,2,2,-4,2,-3));}
            {put("4eb",new Coord(4,3,5,-2,4,-3,3,0));}
            {put("4CFK",new Coord(4,3,-4,-2,-2,0,-3,-2));}
            {put("4un",new Coord(4,2,3,0,1,2));}
            {put("4DG",new Coord(4,2,-3,2,-5,0));}
            {put("4qj",new Coord(4,3,2,-5,3,-4,2,-4));}
            {put("4LS#",new Coord(4,1,-2,-3));}
            {put("4*xp",new Coord(4,1,2,2));}
            {put("4xy",new Coord(4,3,1,5,1,6,2,3));}
            {put("4L",new Coord(4,3,-2,-3,-4,-1,-2,1));}
            {put("4Q#s",new Coord(4,2,1,-4,-1,-2));}
            {put("4qje",new Coord(4,3,3,-4,4,-4,3,-3));}
            {put("4(wn",new Coord(4,2,2,3,0,1));}
            {put("4X*(v",new Coord(4,1,1,3));}
            {put("4()w",new Coord(4,3,1,4,2,4,1,5));}
            {put("4vmfg",new Coord(4,2,3,1,3,2));}
            {put("4sj",new Coord(4,2,3,-2,1,-4));}
            {put("4da",new Coord(4,3,4,-1,5,2,4,0));}
            {put("4OV",new Coord(4,3,-1,3,-3,1,0,2));}
            {put("4LU",new Coord(4,3,-3,0,-2,1,-1,-2));}
            {put("4%j",new Coord(4,1,0,-3));}
            {put("4&w",new Coord(4,3,0,3,-1,2,0,4));}
            {put("4l",new Coord(4,3,2,-3,4,-1,3,-2));}
            {put("4T$r",new Coord(4,1,-1,-3));}
            {put("4fg",new Coord(4,2,3,-2,3,1));}
            {put("4OVW",new Coord(4,2,0,3,-1,3));}
            {put("4W(xy",new Coord(4,1,1,2));}
            {put("4cd",new Coord(4,3,4,2,4,-1,3,2));}
            {put("4@k",new Coord(4,2,2,-4,1,-4));}
            {put("4WX*",new Coord(4,3,-2,2,-1,1,-2,3));}
            {put("4S$%tu",new Coord(4,3,1,-2,2,-2,1,-1));}
            {put("4U",new Coord(4,3,-3,0,-1,2,-2,-1));}
            {put("4JKST",new Coord(4,3,-1,-3,-2,-1,-1,-4));}
            {put("4CD",new Coord(4,3,-4,2,-4,-1,-5,0));}
            {put("4lg",new Coord(4,2,4,-1,3,-2));}
            {put("4AC",new Coord(4,3,-6,0,-5,0,-5,-1));}
            {put("4s",new Coord(4,3,3,-2,1,-4,4,-2));}
            {put("4xp",new Coord(4,2,3,3,2,1));}
            {put("4N",new Coord(4,3,-2,3,-3,0,-4,1));}
            {put("4tlmgh",new Coord(4,1,3,-1));}
            {put("4vmnfg",new Coord(4,2,3,1,3,2));}
            {put("4$stm",new Coord(4,1,2,-2));}
            {put("4PY",new Coord(4,3,-2,5,0,3,-3,4));}
            {put("4bc",new Coord(4,3,4,-2,3,-1,5,0));}
            {put("4le",new Coord(4,2,2,-3,4,-1));}
            {put("4noi",new Coord(4,1,2,3));}
            {put("4$stlm",new Coord(4,3,2,-2,2,-1,2,-3));}
            {put("4fbc",new Coord(4,3,5,-1,4,-2,5,0));}
            {put("4OX",new Coord(4,2,-3,3,-2,4));}
            {put("4EFL",new Coord(4,2,-4,-1,-3,0));}
            {put("4S%",new Coord(4,3,-1,0,0,-3,1,-2));}
            {put("4XY(",new Coord(4,2,-1,2,-2,3));}
            {put("4BFG",new Coord(4,3,-3,-2,-4,0,-2,-1));}
            {put("4JQ",new Coord(4,3,-2,-5,-2,-4,-3,-4));}
            {put("4MVW*",new Coord(4,1,-2,2));}
            {put("4MV",new Coord(4,3,-3,1,-2,2,-1,-1));}
            {put("4U%s",new Coord(4,1,-1,-2));}
            {put("4ELTU",new Coord(4,1,-1,-2));}
            {put("4Q!",new Coord(4,3,-1,-6,0,-4,1,-4));}
            {put("4mgh",new Coord(4,3,4,0,4,1,3,-1));}
            {put("4%",new Coord(4,3,0,-3,-3,-1,0,-2));}
            {put("4X*(vw",new Coord(4,2,1,3,0,3));}
            {put("4BFGM",new Coord(4,2,-4,0,-2,-1));}
            {put("4#$",new Coord(4,3,-2,-3,0,-4,1,-2));}
            {put("4QR#$",new Coord(4,3,0,-4,0,-3,-1,-2));}
            {put("4#rskl",new Coord(4,1,2,-3));}
            {put("4BGHN",new Coord(4,1,-4,1));}
            {put("4DHM",new Coord(4,1,-4,0));}
            {put("4JKS",new Coord(4,1,-3,-2));}
            {put("4Rt",new Coord(4,1,1,-3));}
            {put("4ghc",new Coord(4,3,3,-2,3,-1,4,1));}
            {put("4tk",new Coord(4,3,1,-3,3,-1,2,0));}
            {put("4GN",new Coord(4,3,-4,1,-3,2,-2,-1));}
            {put("4lgcd",new Coord(4,1,4,-1));}
            {put("4Y()w",new Coord(4,1,1,4));}
            {put("4tm",new Coord(4,3,3,-1,2,-2,3,-2));}
            {put("4ule",new Coord(4,2,3,0,1,-2));}
            {put("4JK@",new Coord(4,1,-2,-4));}
            {put("4WX(y",new Coord(4,1,-1,4));}
            {put("4%u",new Coord(4,2,2,-1,1,-2));}
            {put("4#$r",new Coord(4,3,0,-4,-2,-3,-1,-3));}
            {put("4$st",new Coord(4,3,2,-2,1,-3,3,-2));}
            {put("4m",new Coord(4,3,2,-2,4,0,2,2));}
            {put("4vmnf",new Coord(4,1,3,1));}
            {put("4$rj",new Coord(4,1,2,-2));}
            {put("4@q",new Coord(4,3,2,-4,-1,-4,0,-5));}
            {put("4DGHL",new Coord(4,1,-2,1));}
            {put("4pid",new Coord(4,1,4,3));}
            {put("4FGM",new Coord(4,3,-4,0,-2,-1,-3,1));}
            {put("4sjk",new Coord(4,2,3,-2,4,-2));}
            {put("4BCGHN",new Coord(4,2,-4,1,-4,2));}
            {put("4PW",new Coord(4,2,-3,2,-1,4));}
            {put("4PWX&*",new Coord(4,1,0,3));}
            {put("4tule",new Coord(4,1,1,-2));}
            {put("4NO",new Coord(4,2,-2,3,-1,2));}
            {put("4R#$t",new Coord(4,1,1,-3));}
            {put("4Y(w",new Coord(4,2,1,4,-1,2));}
            {put("4EKLTU",new Coord(4,1,-1,-2));}
            {put("4S$%",new Coord(4,2,1,-2,0,-3));}
            {put("4BC",new Coord(4,3,-4,-2,-4,1,-4,2));}
            {put("4S",new Coord(4,3,-3,-2,-2,-2,-4,-2));}
            {put("4S#q",new Coord(4,1,-1,-4));}
            {put("4n",new Coord(4,3,2,3,4,1,-3,4));}
            {put("4GHNOW",new Coord(4,2,-2,2,-3,2));}
            {put("4JQ!",new Coord(4,1,-2,-5));}
            {put("4$tlm",new Coord(4,1,2,-2));}
            {put("4W&",new Coord(4,3,0,3,-2,1,-1,0));}
            {put("4#rs",new Coord(4,3,2,-3,1,-4,0,-4));}
            {put("4()wx",new Coord(4,3,1,4,2,4,1,5));}
            {put("4&uvlm",new Coord(4,1,2,1));}
            {put("4(wxn",new Coord(4,1,2,3));}
            {put("4GH",new Coord(4,2,-3,2,-4,2));}
            {put("4*vw",new Coord(4,3,1,3,2,2,1,4));}
            {put("4wxp",new Coord(4,3,1,4,2,2,1,5));}
            {put("4GLS",new Coord(4,1,-3,-2));}
            {put("4EKL",new Coord(4,1,-2,-3));}
            {put("4Y)",new Coord(4,3,-2,4,1,4,-1,5));}
            {put("4tlm",new Coord(4,3,3,-1,2,-2,3,-2));}
            {put("4kf",new Coord(4,2,4,-2,3,-3));}
            {put("4sl",new Coord(4,3,3,-2,2,-3,0,-1));}
            {put("4()x",new Coord(4,3,-2,3,-1,3,0,2));}
            {put("4JK",new Coord(4,3,-2,-4,-3,-2,-3,-1));}
            {put("4M",new Coord(4,3,-4,0,-2,2,-2,-2));}
            {put("4RS@#",new Coord(4,2,-1,-4,-2,-4));}
            {put("4V*(",new Coord(4,2,-1,3,-2,3));}
            {put("4T$",new Coord(4,3,-2,-2,-1,-3,1,-1));}
            {put("4KLRS#",new Coord(4,1,-2,-3));}
            {put("4vnoi",new Coord(4,1,3,1));}
            {put("4wngh",new Coord(4,1,3,2));}
            {put("4nhi",new Coord(4,2,4,1,5,1));}
            {put("4(wxno",new Coord(4,1,2,3));}
            {put("4W&*u",new Coord(4,1,1,2));}
            {put("4ngb",new Coord(4,2,4,1,2,-1));}
            {put("4X*vw",new Coord(4,1,1,3));}
            {put("4CDHIO",new Coord(4,2,-4,2,-3,2));}
            {put("4qr",new Coord(4,3,1,-5,2,-4,1,-2));}
            {put("4sklfg",new Coord(4,2,3,-2,2,-2));}
            {put("4@qr",new Coord(4,3,1,-5,2,-4,1,-6));}
            {put("4xo",new Coord(4,3,2,4,3,3,0,2));}
            {put("4JR",new Coord(4,2,-3,-3,-2,-3));}
            {put("4%umn",new Coord(4,1,2,-1));}
            {put("4X)-",new Coord(4,1,-1,5));}
            {put("4fcd",new Coord(4,2,3,1,3,2));}
            {put("4$m",new Coord(4,1,2,-2));}
            {put("4*(",new Coord(4,3,0,4,-1,3,1,4));}
            {put("4kefbc",new Coord(4,3,5,-2,4,-2,4,-1));}
            {put("4vwop",new Coord(4,2,1,3,0,3));}
            {put("4oi",new Coord(4,1,4,2));}
            {put("4ABE",new Coord(4,3,-5,-2,-3,0,-4,-2));}
            {put("4lf",new Coord(4,2,2,-3,4,-1));}
            {put("4KLT",new Coord(4,3,-3,-1,-2,0,-3,0));}
            {put("4lfgcd",new Coord(4,1,4,-1));}
            {put("4T#$",new Coord(4,2,-1,-3,-2,-3));}
            {put("4HIM",new Coord(4,1,-2,2));}
            {put("4Q@#rs",new Coord(4,2,1,-4,1,-3));}
            {put("4RS$%",new Coord(4,2,0,-3,0,-2));}
            {put("4gb",new Coord(4,3,3,-2,5,0,4,1));}
            {put("4LMU",new Coord(4,3,-3,0,-4,3,-3,1));}
            {put("4u",new Coord(4,3,3,0,1,1,2,-1));}
            {put("4*vwm",new Coord(4,1,2,2));}
            {put("4K@",new Coord(4,1,-2,-4));}
            {put("4EKLT",new Coord(4,2,-3,-1,-3,0));}
            {put("4BE",new Coord(4,3,-5,-2,-3,-1,-4,-3));}
            {put("4fbca",new Coord(4,2,5,-1,6,-1));}
            {put("4#$qr",new Coord(4,1,0,-4));}
            {put("4HLMT",new Coord(4,1,-3,-1));}
            {put("4uvni",new Coord(4,1,1,2));}
            {put("4JST",new Coord(4,2,-2,-1,-1,-2));}
            {put("4%stj",new Coord(4,1,2,-1));}
            {put("4TU$%s",new Coord(4,1,-1,-2));}
            {put("4DH",new Coord(4,3,-5,1,-4,2,-3,2));}
            {put("4ohic",new Coord(4,1,4,2));}
            {put("4mg",new Coord(4,3,4,1,3,2,4,0));}
            {put("4KLS",new Coord(4,1,-3,-2));}
            {put("4ACDH",new Coord(4,1,-5,1));}
            {put("4wnog",new Coord(4,1,3,2));}
            {put("4xoph",new Coord(4,1,3,3));}
            {put("4CDG",new Coord(4,3,-5,0,-5,-1,-4,-1));}
            {put("4EQ",new Coord(4,1,-3,-4));}
            {put("4&vwop",new Coord(4,1,2,1));}
            {put("4U$%s",new Coord(4,1,-1,-2));}
            {put("4PW&",new Coord(4,2,-2,1,0,3));}
            {put("4BCF",new Coord(4,2,-5,-1,-4,-2));}
            {put("4MST$",new Coord(4,2,-2,-2,-2,-3));}
            {put("4OPXY)",new Coord(4,2,-2,4,-1,4));}
            {put("4$%sj",new Coord(4,1,0,-3));}
            {put("4w",new Coord(4,3,3,2,1,4,2,4));}
            {put("4(wx",new Coord(4,2,2,3,1,4));}
            {put("4wnogh",new Coord(4,1,3,2));}
            {put("4id",new Coord(4,3,5,2,4,3,3,1));}
            {put("4HI",new Coord(4,3,-3,3,-4,2,-2,3));}
            {put("4BCGN",new Coord(4,1,-4,1));}
            {put("4JRS$%",new Coord(4,1,0,-3));}
            {put("4lfg",new Coord(4,3,4,-1,3,-2,2,-2));}
            {put("4Q@#r",new Coord(4,3,1,-4,-1,-3,0,-4));}
            {put("4RS$",new Coord(4,3,-2,-2,-1,0,-3,-2));}
            {put("4!@q",new Coord(4,2,-1,-4,1,-5));}
            {put("4sk",new Coord(4,1,3,-2));}
            {put("4Q@",new Coord(4,3,1,-4,-2,-4,0,-5));}
            {put("4W&*",new Coord(4,3,0,3,1,2,-1,3));}
            {put("4ghd",new Coord(4,1,3,2));}
            {put("4X&",new Coord(4,1,0,3));}
            {put("4DGL",new Coord(4,2,-4,-1,-2,1));}
            {put("4wn",new Coord(4,2,3,2,2,3));}
            {put("4BCEFK",new Coord(4,3,-4,-2,-3,-2,-4,-1));}
            {put("4tmgh",new Coord(4,2,3,-1,3,0));}
            {put("4Q#rs",new Coord(4,1,1,-4));}
            {put("4&ulm",new Coord(4,1,2,1));}
            {put("4NOWX(",new Coord(4,3,-2,3,-2,4,-1,3));}
            {put("4LTU",new Coord(4,1,-1,-2));}
            {put("4fgb",new Coord(4,2,3,-2,4,-2));}
            {put("4IMNU",new Coord(4,1,-3,0));}
            {put("4sklg",new Coord(4,1,3,-2));}
            {put("4KQR",new Coord(4,1,-2,-4));}
            {put("4wop",new Coord(4,1,3,2));}
            {put("4ulef",new Coord(4,1,3,0));}
            {put("4MNU%",new Coord(4,1,-2,-1));}
            {put("4%stjk",new Coord(4,1,2,-1));}
            {put("4fgcd",new Coord(4,1,3,1));}
            {put("4&*wp",new Coord(4,1,0,3));}
            {put("4S@#",new Coord(4,2,-1,-4,-1,-3));}
            {put("4NW",new Coord(4,3,-3,2,-3,3,-2,3));}
            {put("4HIN",new Coord(4,1,-4,1));}
            {put("4umnhi",new Coord(4,1,3,0));}
            {put("4UV",new Coord(4,3,-1,2,-3,0,-2,1));}
            {put("4ELMU",new Coord(4,1,-3,0));}
            {put("4OXY)",new Coord(4,1,-2,4));}
            {put("4lfgc",new Coord(4,2,4,-1,4,0));}
            {put("4FG",new Coord(4,2,-3,-2,-4,0));}
            {put("4GLM",new Coord(4,2,-2,1,-2,2));}
            {put("4R@#",new Coord(4,2,1,-3,2,-3));}
            {put("4&ul",new Coord(4,1,2,1));}
            {put("4hcda",new Coord(4,1,5,1));}
            {put("4ST$r",new Coord(4,1,-1,-3));}
            {put("4JRS$",new Coord(4,1,-2,-2));}
            {put("4ul",new Coord(4,2,3,0,1,-2));}
            {put("4#$st",new Coord(4,2,1,-3,1,-2));}
            {put("4ulf",new Coord(4,1,3,0));}
            {put("4WX(",new Coord(4,3,-1,4,-1,3,-1,5));}
            {put("4CDH",new Coord(4,3,-5,1,-4,2,-3,2));}
            {put("4ST%",new Coord(4,2,-2,-1,-1,0));}
            {put("4CEFK",new Coord(4,1,-4,-2));}
            {put("4pi",new Coord(4,3,3,4,4,3,2,2));}
            {put("4W()y",new Coord(4,1,-1,4));}
            {put("4rs",new Coord(4,3,1,-4,2,-2,2,-3));}
            {put("4Tr",new Coord(4,1,-1,-3));}
            {put("4IO",new Coord(4,2,-4,2,-5,2));}
            {put("4PVW&",new Coord(4,1,-2,1));}
            {put("4&u",new Coord(4,2,2,1,1,2));}
            {put("4rj",new Coord(4,3,3,-3,2,-2,3,-2));}
            {put("4OP",new Coord(4,3,-1,4,-2,4,-1,3));}
            {put("4tul",new Coord(4,2,1,-2,0,-1));}
            {put("4NUV",new Coord(4,2,-1,2,0,1));}
            {put("4HIOPX",new Coord(4,1,-3,3));}
            {put("4JST%",new Coord(4,1,-2,-1));}
            {put("4JRS",new Coord(4,2,-1,-4,-2,-2));}
            {put("4LMST$",new Coord(4,2,-2,-2,-2,-1));}
            {put("4je",new Coord(4,3,3,-4,4,-3,2,-2));}
            {put("4TU$%",new Coord(4,1,-1,-2));}
            {put("4JKT",new Coord(4,1,-1,-3));}
            {put("4hbc",new Coord(4,2,3,-1,4,1));}
            {put("4CHIO",new Coord(4,1,-4,2));}
            {put("4WX()",new Coord(4,2,-1,4,-1,5));}
            {put("4LST$",new Coord(4,2,-2,-2,-3,-2));}
            {put("4*(x",new Coord(4,2,0,4,-1,3));}
            {put("4ST",new Coord(4,1,-1,-3));}
            {put("4mng",new Coord(4,1,2,-1));}
            {put("4ACH",new Coord(4,1,-5,1));}
            {put("4#qr",new Coord(4,2,2,-3,3,-3));}
            {put("4)xyop",new Coord(4,1,2,4));}
            {put("4)y",new Coord(4,3,2,4,-1,4,0,5));}
            {put("4MU%",new Coord(4,1,-2,-1));}
            {put("4umnh",new Coord(4,2,3,0,1,1));}
            {put("4MN",new Coord(4,3,-2,2,-1,2,-2,-1));}
            {put("4@qj",new Coord(4,1,0,-3));}
            {put("4@#r",new Coord(4,3,-1,-3,-2,-3,-1,-2));}
            {put("4EFLMU",new Coord(4,1,-3,0));}
            {put("4uvn",new Coord(4,1,1,2));}
            {put("4oh",new Coord(4,3,3,3,3,4,3,2));}
            {put("4CGH",new Coord(4,3,-3,-1,-4,2,-5,1));}
            {put("4DFGL",new Coord(4,1,-4,-1));}
            {put("4GMNV",new Coord(4,2,-3,1,-2,1));}
            {put("4JKST%",new Coord(4,1,-2,-1));}
            {put("4um",new Coord(4,3,3,0,2,-1,2,1));}
            {put("4ef",new Coord(4,2,3,-3,2,-2));}
            {put("4fgc",new Coord(4,3,4,-2,3,1,4,-1));}
            {put("4M*",new Coord(4,2,-2,2,-2,3));}
            {put("4R#",new Coord(4,2,-2,-3,1,-3));}
            {put("4%s",new Coord(4,3,0,-3,-1,-2,2,-1));}
            {put("4#skl",new Coord(4,1,2,-3));}
            {put("4PXY)-",new Coord(4,1,0,3));}
            {put("4BGM",new Coord(4,2,-4,0,-2,-1));}
            {put("4ng",new Coord(4,3,3,2,4,1,2,-1));}
            {put("4!@r",new Coord(4,1,1,-5));}
            {put("4XY)",new Coord(4,2,-1,5,0,5));}
            {put("4FL",new Coord(4,2,-4,-1,-3,-2));}
            {put("4U$%",new Coord(4,1,-1,-2));}
            {put("4CFGK",new Coord(4,1,-2,0));}
            {put("4QR@",new Coord(4,2,-1,-5,0,-3));}
            {put("4GMT",new Coord(4,2,-3,-1,-3,-2));}
            {put("4jk",new Coord(4,2,2,-4,1,-4));}
            {put("4XY*(",new Coord(4,1,0,4));}
            {put("4mn",new Coord(4,3,2,2,2,-1,3,4));}
            {put("4wo",new Coord(4,1,3,2));}
            {put("4BCFK",new Coord(4,1,-4,-2));}
            {put("4KR",new Coord(4,3,-2,-4,-3,-3,0,-2));}
            {put("4GKL",new Coord(4,1,-3,-2));}
            {put("4INU",new Coord(4,2,-3,0,-1,2));}
            {put("4BCGH",new Coord(4,3,-4,1,-3,-1,-4,2));}
            {put("4UV&*",new Coord(4,1,-1,2));}
            {put("4EKLU",new Coord(4,1,-1,-2));}
            {put("4sg",new Coord(4,1,3,-2));}
            {put("4*m",new Coord(4,1,2,2));}
            {put("4lgc",new Coord(4,3,4,-1,4,-2,5,-1));}
            {put("4GHM",new Coord(4,1,-4,0));}
            {put("4HOPX",new Coord(4,1,-3,3));}
            {put("4qe",new Coord(4,2,3,-4,3,-3));}
            {put("4Y()wx",new Coord(4,1,1,4));}
            {put("4th",new Coord(4,1,3,-1));}
            {put("4WX&*",new Coord(4,1,0,3));}
            {put("4%stk",new Coord(4,1,2,-1));}
            {put("4DGLM",new Coord(4,1,-2,1));}
            {put("4QR!@",new Coord(4,1,-1,-5));}
            {put("4$qr",new Coord(4,1,0,-4));}
            {put("4mfgb",new Coord(4,2,4,0,2,-1));}
            {put("4)o",new Coord(4,1,2,4));}
            {put("4KST",new Coord(4,1,-1,-3));}
            {put("4KL",new Coord(4,3,-2,-3,-2,0,-2,-2));}
            {put("4WX&",new Coord(4,1,0,3));}
            {put("4tkle",new Coord(4,1,3,-1));}
            {put("4EU",new Coord(4,1,-3,0));}
            {put("4CGHN",new Coord(4,2,-3,1,-4,1));}
            {put("4gh",new Coord(4,3,3,2,2,1,4,0));}
            {put("4OPVW",new Coord(4,2,-1,3,-2,3));}
            {put("4PW&*",new Coord(4,2,0,3,0,4));}
            {put("4KLS#",new Coord(4,1,-2,-3));}
            {put("4GHLM",new Coord(4,2,-2,1,-3,-1));}
            {put("4W()",new Coord(4,2,-1,4,-2,4));}
            {put("4slfg",new Coord(4,2,3,-2,3,-1));}
            {put("4JS$%",new Coord(4,1,0,-3));}
            {put("4LUV",new Coord(4,1,-2,1));}
            {put("4(xy",new Coord(4,2,2,3,2,4));}
            {put("4mef",new Coord(4,2,2,-2,2,-3));}
            {put("4kfg",new Coord(4,2,3,-2,2,0));}
            {put("4xohi",new Coord(4,1,3,3));}
            {put("4GM",new Coord(4,3,-2,1,-3,-2,-2,-1));}
            {put("4NU",new Coord(4,3,-3,0,-2,-1,-1,2));}
            {put("4@#s",new Coord(4,2,1,-4,2,-4));}
            {put("4Q@#s",new Coord(4,1,1,-4));}
            {put("4xop",new Coord(4,1,2,4));}
            {put("4&*u",new Coord(4,1,1,2));}
            {put("4EFJKR",new Coord(4,2,-3,-3,-2,-3));}
            {put("4S#$",new Coord(4,2,1,-2,-1,-3));}
            {put("4tkl",new Coord(4,1,3,-1));}
            {put("4%rs",new Coord(4,1,0,-3));}
            {put("4ke",new Coord(4,2,4,-2,2,-3));}
            {put("4GKLS",new Coord(4,1,-3,-2));}
            {put("4ST#$",new Coord(4,2,-1,-3,-2,-3));}
            {put("4gbc",new Coord(4,3,5,0,4,1,5,1));}
            {put("4&uvm",new Coord(4,1,2,1));}
            {put("4Y()x",new Coord(4,1,-1,3));}
            {put("4KS",new Coord(4,3,-3,-2,-2,-3,0,-2));}
            {put("4tlmh",new Coord(4,1,3,-1));}
            {put("4rkef",new Coord(4,1,3,-3));}
            {put("4mhi",new Coord(4,1,2,2));}
            {put("4nfgb",new Coord(4,1,2,-1));}
            {put("4L#",new Coord(4,1,-2,-3));}
            {put("4#r",new Coord(4,1,2,-3));}
            {put("4vmn",new Coord(4,2,2,2,2,3));}
            {put("4)xyo",new Coord(4,1,2,4));}
            {put("4NOW(",new Coord(4,1,-2,3));}
            {put("4INOV",new Coord(4,3,-3,1,-1,2,-3,0));}
            {put("4$l",new Coord(4,2,2,-3,2,-2));}
            {put("4ngc",new Coord(4,2,4,1,4,2));}
            {put("4XY",new Coord(4,3,-1,5,-2,3,0,4));}
            {put("4ST$",new Coord(4,3,-1,-3,-3,-2,-2,-3));}
            {put("4$%rsj",new Coord(4,1,0,-3));}
            {put("4IOV",new Coord(4,1,-3,1));}
            {put("4ACD",new Coord(4,2,-4,-1,-5,1));}
            {put("4Q!@",new Coord(4,3,1,-4,-1,-5,0,-3));}
            {put("4LMT",new Coord(4,3,-3,-1,-2,-2,-3,0));}
            {put("4qrjk",new Coord(4,1,2,-3));}
            {put("4Y*",new Coord(4,1,0,4));}
            {put("4CGN",new Coord(4,3,-4,2,-4,1,-3,1));}
            {put("4R$st",new Coord(4,1,1,-3));}
            {put("4&*wxp",new Coord(4,1,0,3));}
            {put("4INUV",new Coord(4,1,-1,2));}
            {put("4umn",new Coord(4,1,3,0));}
            {put("4KLRS",new Coord(4,1,-2,-3));}
            {put("4VW&",new Coord(4,2,-2,1,-1,0));}
            {put("4fb",new Coord(4,3,5,-1,3,-2,4,0));}
            {put("4MU",new Coord(4,3,-3,0,-2,-1,-2,1));}
            {put("4MUV&",new Coord(4,2,-2,1,-2,2));}
            {put("4yi",new Coord(4,1,3,4));}
            {put("4bca",new Coord(4,1,4,1));}
            {put("4kef",new Coord(4,1,4,-2));}
            {put("4FV",new Coord(4,1,-3,1));}
            {put("4FGKLS",new Coord(4,2,-3,-2,-2,-2));}
            {put("4*vmn",new Coord(4,2,2,2,2,3));}
            {put("4)xop",new Coord(4,1,2,4));}
            {put("4stjk",new Coord(4,2,0,-3,1,-3));}
            {put("4jb",new Coord(4,1,4,-3));}
            {put("4VW(",new Coord(4,1,-1,3));}
            {put("4*wxp",new Coord(4,2,2,2,2,3));}
            {put("4ulm",new Coord(4,1,3,0));}
            {put("4P&",new Coord(4,2,0,3,-2,1));}
            {put("4XY)-",new Coord(4,1,-1,5));}
            {put("4EFLM",new Coord(4,1,-2,-2));}
            {put("4vop",new Coord(4,2,2,1,1,3));}
            {put("4rjkef",new Coord(4,3,3,-3,2,-3,3,-2));}
            {put("4EKT",new Coord(4,1,-3,-1));}
            {put("4$%s",new Coord(4,2,0,-3,-1,-2));}
            {put("4uvnoi",new Coord(4,1,1,2));}
            {put("4OPW",new Coord(4,3,-3,2,-2,1,-4,2));}
            {put("4CDF",new Coord(4,1,-3,1));}
            {put("4(wno",new Coord(4,1,2,3));}
            {put("4vno",new Coord(4,1,3,1));}
            {put("4CDHO",new Coord(4,1,-4,2));}
            {put("4OPX)",new Coord(4,1,-2,4));}
            {put("4HN",new Coord(4,3,-3,1,-4,1,-2,2));}
            {put("4lfgd",new Coord(4,1,4,-1));}
            {put("4U%",new Coord(4,2,-1,-2,-2,-1));}
            {put("4NV",new Coord(4,3,-3,1,-1,2,-2,3));}
            {put("4GL",new Coord(4,3,-2,1,-4,-1,-3,-2));}
            {put("4O)",new Coord(4,1,-2,4));}
            {put("4ABCE",new Coord(4,1,-3,0));}
            {put("4ha",new Coord(4,1,5,1));}
            {put("4FLM",new Coord(4,1,-2,-2));}
            {put("4QR$",new Coord(4,1,0,-4));}
            {put("4RS#",new Coord(4,3,-2,-3,-1,-4,-2,-4));}
            {put("4EF",new Coord(4,2,-3,-3,-3,0));}
            {put("4HINU",new Coord(4,1,-3,0));}
            {put("4nghbc",new Coord(4,1,4,1));}
            {put("4FGS",new Coord(4,1,-3,-2));}
            {put("4W(",new Coord(4,3,1,2,-1,3,-2,3));}
            {put("4MNU",new Coord(4,2,-2,-1,-3,0));}
            {put("4XY(w",new Coord(4,1,-1,2));}
            {put("4mfg",new Coord(4,1,4,0));}
            {put("4st",new Coord(4,3,1,-3,0,-3,2,-1));}
            {put("4uvno",new Coord(4,2,1,2,2,0));}
            {put("4T$%s",new Coord(4,1,-1,-2));}
            {put("4GHN",new Coord(4,3,-3,2,-2,2,-4,1));}
            {put("4CDFG",new Coord(4,2,-3,1,-3,2));}
            {put("4hicda",new Coord(4,1,3,0));}
            {put("4HIMNU",new Coord(4,1,-3,0));}
            {put("4$%tu",new Coord(4,1,1,-2));}
            {put("4#l",new Coord(4,1,2,-3));}
            {put("4&vw",new Coord(4,2,2,1,1,0));}
            {put("4rf",new Coord(4,1,3,-3));}
            {put("4kl",new Coord(4,1,2,-3));}
            {put("4*wx",new Coord(4,1,2,2));}
            {put("4OW",new Coord(4,2,-3,2,-3,1));}
            {put("4HMNU",new Coord(4,1,-3,0));}
            {put("4NOUV",new Coord(4,2,-1,2,-2,0));}
            {put("4DGHLM",new Coord(4,1,-2,1));}
            {put("4xyop",new Coord(4,1,2,4));}
            {put("4INOUV",new Coord(4,1,-1,2));}
            {put("4HMN",new Coord(4,1,-2,2));}
            {put("4GMV",new Coord(4,2,-3,1,-3,2));}
            {put("4LMV&",new Coord(4,1,-2,1));}
            {put("4klfg",new Coord(4,2,2,0,3,-2));}
            {put("4(no",new Coord(4,1,2,3));}
            {put("4)xy",new Coord(4,3,1,5,2,4,2,5));}
            {put("4&*wx",new Coord(4,2,0,3,1,1));}
            {put("4uv",new Coord(4,2,2,1,1,2));}
            {put("4kle",new Coord(4,1,2,-3));}
            {put("4#$t",new Coord(4,1,1,-3));}
            {put("4Y(wx",new Coord(4,1,1,4));}
            {put("4xyo",new Coord(4,1,2,4));}
            {put("4&p",new Coord(4,2,0,3,2,1));}
            {put("4ABCEF",new Coord(4,2,-3,0,-3,1));}
            {put("4U&*",new Coord(4,2,-1,2,-2,2));}
            {put("4PWX&",new Coord(4,1,0,3));}
            {put("4cda",new Coord(4,1,4,-1));}
            {put("4FGLS",new Coord(4,1,-3,-2));}
            {put("4X()",new Coord(4,2,1,3,-1,4));}
            {put("4WX",new Coord(4,3,-1,5,0,4,-1,4));}
            {put("4&l",new Coord(4,1,2,1));}
            {put("4(x",new Coord(4,3,2,3,-1,3,2,4));}
            {put("4FLMU",new Coord(4,1,-3,0));}
            {put("4)-y",new Coord(4,3,1,5,-2,4,-1,4));}
            {put("4)-xy",new Coord(4,1,1,5));}
            {put("4ohcd",new Coord(4,1,4,2));}
            {put("4skl",new Coord(4,2,3,-2,2,-3));}
            {put("4mnfgb",new Coord(4,1,2,-1));}
            {put("4vwo",new Coord(4,3,1,3,0,3,2,1));}
            {put("4%um",new Coord(4,1,2,-1));}
            {put("4hca",new Coord(4,1,5,1));}
            {put("4INO",new Coord(4,3,-2,3,-1,3,-3,1));}
            {put("4ohicd",new Coord(4,1,4,2));}
            {put("4S#$qr",new Coord(4,1,1,-2));}
            {put("4rsj",new Coord(4,1,1,-4));}
            {put("4*(y",new Coord(4,1,0,4));}
            {put("4tmg",new Coord(4,2,3,-2,3,-1));}
            {put("4GLMS",new Coord(4,1,-1,0));}
            {put("4)xyp",new Coord(4,2,2,4,0,3));}
            {put("4OPVW&",new Coord(4,1,-2,1));}
            {put("4(n",new Coord(4,1,2,3));}
            {put("4rjk",new Coord(4,2,2,-4,3,-3));}
            {put("4DM",new Coord(4,1,-4,0));}
            {put("4$%rs",new Coord(4,2,0,-3,-1,-3));}
            {put("4MVW",new Coord(4,1,-2,2));}
            {put("4!r",new Coord(4,1,1,-5));}
            {put("4tue",new Coord(4,1,1,-2));}
            {put("4uke",new Coord(4,1,1,-2));}
            {put("4ulme",new Coord(4,1,3,0));}
            {put("4mnhi",new Coord(4,1,2,2));}
            {put("4ABC",new Coord(4,2,-4,1,-5,-1));}
            {put("4ia",new Coord(4,1,5,2));}
            {put("4NV*",new Coord(4,1,-2,2));}
            {put("4JRS%",new Coord(4,1,0,-3));}
            {put("4LM",new Coord(4,2,-2,-2,-2,1));}
            {put("4HIOX",new Coord(4,1,-3,3));}
            {put("4tgh",new Coord(4,1,3,-1));}
            {put("4LRS#",new Coord(4,1,-2,-3));}
            {put("4BFGN",new Coord(4,1,-2,-1));}
            {put("4VW",new Coord(4,2,-1,3,-2,2));}
            {put("4nghc",new Coord(4,2,4,1,4,2));}
            {put("4&*",new Coord(4,2,0,3,1,2));}
            {put("4CDGL",new Coord(4,2,-4,-2,-4,-1));}
            {put("4ulmef",new Coord(4,1,3,0));}
            {put("4DL",new Coord(4,2,-4,-1,-2,2));}
            {put("4%sjk",new Coord(4,1,2,-1));}
            {put("4*xy",new Coord(4,1,0,4));}
            {put("4ABCF",new Coord(4,1,-5,-1));}
            {put("4TU&",new Coord(4,1,-1,1));}
            {put("4EFLU",new Coord(4,1,-3,0));}
            {put("4GLMST",new Coord(4,1,-1,0));}
            {put("4*p",new Coord(4,1,2,2));}
            {put("4vmng",new Coord(4,2,3,1,2,1));}
            {put("4GHNW",new Coord(4,1,-3,2));}
            {put("4X(",new Coord(4,3,-1,4,-2,3,-1,2));}
            {put("4mhd",new Coord(4,1,4,0));}
            {put("4%rj",new Coord(4,1,0,-3));}
            {put("4R!@",new Coord(4,1,-1,-5));}
            {put("4CFGL",new Coord(4,3,-4,-2,-4,0,-4,-1));}
            {put("4DF",new Coord(4,2,-3,1,-4,-1));}
            {put("4voi",new Coord(4,1,3,1));}
            {put("4umni",new Coord(4,1,3,0));}
            {put("4PWX",new Coord(4,1,-1,4));}
            {put("4OPV",new Coord(4,1,-1,3));}
            {put("4VW*(",new Coord(4,2,-1,3,-1,4));}
            {put("4HOP",new Coord(4,1,-3,3));}
            {put("4umh",new Coord(4,1,3,0));}
            {put("4LRS",new Coord(4,1,-2,-3));}
            {put("4rskl",new Coord(4,1,2,-3));}
            {put("4ngbc",new Coord(4,1,4,1));}
            {put("4DGHM",new Coord(4,2,-4,0,-2,1));}
            {put("4stlm",new Coord(4,1,2,-2));}
            {put("4rskf",new Coord(4,1,1,-1));}
            {put("4W*(xy",new Coord(4,1,1,2));}
            {put("4-p",new Coord(4,1,2,5));}
            {put("4PX",new Coord(4,3,-3,3,-2,2,-4,3));}
            {put("4vwp",new Coord(4,1,2,1));}
            {put("4HNU",new Coord(4,1,-3,0));}
            {put("4fca",new Coord(4,3,3,0,5,0,5,-1));}
            {put("4&*uv",new Coord(4,1,1,2));}
            {put("4sfg",new Coord(4,1,3,-2));}
            {put("4IP",new Coord(4,2,-3,4,-4,3));}
            {put("4FK",new Coord(4,2,-4,-2,-3,-3));}
            {put("4unhi",new Coord(4,1,3,0));}
            {put("4PW*",new Coord(4,1,0,3));}
            {put("4HT",new Coord(4,1,-3,-1));}
            {put("4Y)x",new Coord(4,1,-1,3));}
            {put("4Y)-",new Coord(4,2,1,4,0,3));}
            {put("4mfb",new Coord(4,1,4,0));}
            {put("4BEF",new Coord(4,1,-3,0));}
            {put("4R@#q",new Coord(4,2,1,-3,-1,-4));}
            {put("4lghd",new Coord(4,1,2,1));}
            {put("4MTU%",new Coord(4,1,-2,-1));}
            {put("4M$",new Coord(4,1,-2,-2));}
            {put("4tu",new Coord(4,1,1,-2));}
            {put("4Wy",new Coord(4,1,-1,4));}
            {put("4kefc",new Coord(4,1,4,-2));}
            {put("4FLT",new Coord(4,1,-2,-2));}
            {put("4P-",new Coord(4,2,-2,5,0,3));}
            {put("4ELT",new Coord(4,1,-3,-1));}
            {put("4FS",new Coord(4,1,-3,-2));}
            {put("4hicd",new Coord(4,2,3,0,4,2));}
            {put("4KST%",new Coord(4,1,-2,-1));}
            {put("4GMN",new Coord(4,1,-2,-1));}
            {put("4RS",new Coord(4,1,-1,-4));}
            {put("4xophi",new Coord(4,2,3,3,4,3));}
            {put("4unh",new Coord(4,1,3,0));}
            {put("4EMU",new Coord(4,1,-3,0));}
            {put("4S#qr",new Coord(4,1,1,-2));}
            {put("4ukle",new Coord(4,1,1,-2));}
            {put("4)-x",new Coord(4,1,1,5));}
            {put("4RS@#q",new Coord(4,2,-1,-4,-2,-4));}
            {put("4NOV",new Coord(4,3,-4,1,-3,1,-2,0));}
            {put("4LT",new Coord(4,3,-3,-2,-3,-1,-2,-2));}
            {put("4wnoh",new Coord(4,1,3,2));}
            {put("4lef",new Coord(4,3,3,0,4,-1,2,-2));}
            {put("4FJK",new Coord(4,1,-3,-3));}
            {put("4BFM",new Coord(4,1,-4,0));}
            {put("4V&",new Coord(4,2,-2,1,0,2));}
            {put("4&wxp",new Coord(4,1,0,3));}
            {put("4hcd",new Coord(4,2,5,1,4,2));}
            {put("4NOW",new Coord(4,2,-2,3,-3,2));}
            {put("4GOW",new Coord(4,1,-3,2));}
            {put("4ulmf",new Coord(4,1,3,0));}
            {put("4(xn",new Coord(4,1,2,3));}
            {put("4wno",new Coord(4,1,2,3));}
            {put("4&*w",new Coord(4,1,0,3));}
            {put("4OVW&",new Coord(4,1,-2,1));}
            {put("4rjkf",new Coord(4,1,3,-3));}
            {put("4FNV",new Coord(4,1,-3,1));}
            {put("4CDFGL",new Coord(4,1,-4,-1));}
            {put("4J%",new Coord(4,2,0,-3,-2,-1));}
            {put("4NW*",new Coord(4,1,-2,2));}
            {put("4MNV",new Coord(4,2,-2,2,-3,1));}
            {put("4EJ",new Coord(4,3,-4,-3,-3,-4,-3,-3));}
            {put("4*(v",new Coord(4,2,1,3,2,3));}
            {put("4no",new Coord(4,1,2,3));}
            {put("4X()y",new Coord(4,2,1,3,-1,5));}
            {put("4NO(",new Coord(4,1,-2,3));}
            {put("4IMN",new Coord(4,1,-2,2));}
            {put("4N%",new Coord(4,1,-2,-1));}
            {put("4V&*x",new Coord(4,1,1,1));}
            {put("4$rsj",new Coord(4,2,2,-2,2,-3));}
            {put("4$%u",new Coord(4,1,1,-2));}
            {put("4T%",new Coord(4,2,-1,-2,-2,0));}
            {put("4LR",new Coord(4,1,-2,-3));}
            {put("4&um",new Coord(4,1,2,1));}
            {put("4JQR!@",new Coord(4,1,0,-3));}
            {put("4BFGMN",new Coord(4,1,-2,-1));}
            {put("4UVw",new Coord(4,2,-1,2,-1,3));}
            {put("4GNOW",new Coord(4,1,-3,2));}
            {put("4NWX(",new Coord(4,1,-2,3));}
            {put("4CGL",new Coord(4,2,-5,-1,-4,-1));}
            {put("4KL#",new Coord(4,1,-2,-3));}
            {put("4GLMT",new Coord(4,1,-3,-1));}
            {put("4nh",new Coord(4,1,4,1));}
            {put("4vn",new Coord(4,1,3,1));}
            {put("4lmef",new Coord(4,1,2,-2));}
            {put("4!@qrj",new Coord(4,1,0,-3));}
            {put("4R$%",new Coord(4,2,-1,-1,0,-3));}
            {put("4EFM",new Coord(4,1,-2,-2));}
            {put("4kefb",new Coord(4,2,4,-2,4,-1));}
            {put("4NOU",new Coord(4,1,-1,2));}
            {put("4BEFJK",new Coord(4,1,-2,-1));}
            {put("4X)y",new Coord(4,1,1,3));}
            {put("4BCH",new Coord(4,1,-3,-1));}
            {put("4LMST",new Coord(4,1,-2,-2));}
            {put("4GNO",new Coord(4,1,-3,2));}
            {put("4IV",new Coord(4,2,-3,1,-1,2));}
            {put("4KRS#",new Coord(4,3,-2,-3,0,-2,-2,-2));}
            {put("4BEFJ",new Coord(4,1,-2,-1));}
            {put("4)w",new Coord(4,1,1,4));}
            {put("4ngh",new Coord(4,2,4,1,3,2));}
            {put("4FJKR",new Coord(4,1,-3,-3));}
            {put("4CE",new Coord(4,1,-4,-2));}
            {put("4L&",new Coord(4,1,-2,1));}
            {put("4pd",new Coord(4,1,4,3));}
            {put("4JKR@",new Coord(4,1,-2,-4));}
            {put("4MUV",new Coord(4,2,-2,1,-1,-1));}
            {put("4!j",new Coord(4,1,2,-5));}
            {put("4#rsl",new Coord(4,1,2,-3));}
            {put("4%st",new Coord(4,2,2,-1,1,0));}
            {put("4$lm",new Coord(4,1,2,-2));}
            {put("4rke",new Coord(4,1,3,-3));}
            {put("4nog",new Coord(4,1,3,2));}
            {put("4Qs",new Coord(4,1,1,-4));}
            {put("4ebca",new Coord(4,1,3,0));}
            {put("4ph",new Coord(4,1,3,3));}
            {put("4V&*wx",new Coord(4,1,1,1));}
            {put("4MW*",new Coord(4,1,-2,2));}
            {put("4RS#q",new Coord(4,1,-1,-4));}
            {put("4Q#$",new Coord(4,1,-1,-2));}
            {put("4NOWX",new Coord(4,1,-2,3));}
            {put("4$%",new Coord(4,2,0,-3,-1,-2));}
            {put("4*(w",new Coord(4,1,-1,2));}
            {put("4og",new Coord(4,2,3,2,3,3));}
            {put("4FMN",new Coord(4,2,-3,1,-2,-1));}
            {put("4DP",new Coord(4,1,-4,3));}
            {put("4JKS%",new Coord(4,1,-2,-1));}
            {put("4BEFK",new Coord(4,1,-4,-2));}
            {put("4HNTU",new Coord(4,1,-1,1));}
            {put("4@qjk",new Coord(4,2,2,-3,2,-4));}
            {put("4OU",new Coord(4,1,-1,2));}
            {put("4&v",new Coord(4,1,1,2));}
            {put("4JQR",new Coord(4,1,0,-3));}
            {put("4)op",new Coord(4,1,2,4));}
            {put("4LMS",new Coord(4,2,-1,0,-2,-2));}
            {put("4MN*",new Coord(4,1,-2,2));}
            {put("4T%s",new Coord(4,1,-1,-2));}
            {put("4MST",new Coord(4,1,-2,-2));}
            {put("4vw",new Coord(4,2,1,3,1,4));}
            {put("4wxn",new Coord(4,1,2,3));}
            {put("4ACDHI",new Coord(4,1,-3,0));}
            {put("4JR$",new Coord(4,1,-2,-2));}
            {put("4DHIO",new Coord(4,1,-3,2));}
            {put("4me",new Coord(4,1,2,-2));}
            {put("4KLR#",new Coord(4,1,-2,-3));}
            {put("4IU",new Coord(4,1,-1,2));}
            {put("4FKLS",new Coord(4,2,-3,-2,-1,-1));}
            {put("4AI",new Coord(4,1,-5,2));}
            {put("4@qrk",new Coord(4,1,2,-4));}
            {put("4skg",new Coord(4,1,3,-2));}
            {put("4%tum",new Coord(4,1,2,-1));}
            {put("4tke",new Coord(4,1,3,-1));}
            {put("4GHLMT",new Coord(4,1,-3,-1));}
            {put("4kfbc",new Coord(4,1,4,-2));}
            {put("4kc",new Coord(4,1,4,-2));}
            {put("4icda",new Coord(4,1,3,0));}
            {put("4IY",new Coord(4,1,-3,4));}
            {put("4*wm",new Coord(4,1,2,2));}
            {put("4ld",new Coord(4,1,4,-1));}
            {put("4FLU",new Coord(4,1,-3,0));}
            {put("4R#$s",new Coord(4,1,-1,-2));}
            {put("4VW(x",new Coord(4,1,0,3));}
            {put("4FGL",new Coord(4,1,-3,-2));}
            {put("4vmg",new Coord(4,2,3,1,3,2));}
            {put("4X(w",new Coord(4,1,-1,2));}
            {put("4)-yp",new Coord(4,1,0,3));}
            {put("4GW",new Coord(4,1,-3,2));}
            {put("4oc",new Coord(4,1,4,2));}
            {put("4CK",new Coord(4,1,-4,-2));}
            {put("4ophi",new Coord(4,2,3,3,2,3));}
            {put("4icd",new Coord(4,2,3,0,4,2));}
            {put("4J!",new Coord(4,1,-2,-5));}
            {put("4LR#",new Coord(4,1,-2,-3));}
            {put("4DGM",new Coord(4,1,-4,0));}
            {put("4xyp",new Coord(4,1,0,3));}
            {put("4$rs",new Coord(4,3,2,-2,2,-3,0,-3));}
            {put("4@rj",new Coord(4,1,2,-4));}
            {put("4NX(",new Coord(4,1,-2,3));}
            {put("4OWX(",new Coord(4,1,-2,3));}
            {put("4BFJK",new Coord(4,1,-2,-1));}
            {put("4N(",new Coord(4,2,-2,2,-2,3));}
            {put("4*(vw",new Coord(4,1,1,3));}
            {put("4HNW",new Coord(4,1,-3,2));}
            {put("4UV*",new Coord(4,1,-1,2));}
            {put("4nf",new Coord(4,1,2,-1));}
            {put("4*mn",new Coord(4,1,2,2));}
            {put("4ref",new Coord(4,1,3,-3));}
            {put("4BCEF",new Coord(4,2,-3,0,-4,-2));}
            {put("4ghbc",new Coord(4,3,3,-1,3,0,4,1));}
            {put("4uvlmf",new Coord(4,1,1,-1));}
            {put("4BM",new Coord(4,1,-4,0));}
            {put("4%rsj",new Coord(4,1,0,-3));}
            {put("4KTU",new Coord(4,1,-2,0));}
            {put("4FLS",new Coord(4,2,-3,-2,-3,-3));}
            {put("4R@q",new Coord(4,1,1,-3));}
            {put("4lm",new Coord(4,1,2,-2));}
            {put("4IUV",new Coord(4,1,-1,2));}
            {put("4XYw",new Coord(4,1,-1,2));}
            {put("4FGN",new Coord(4,1,-2,-1));}
            {put("4hb",new Coord(4,1,4,1));}
            {put("4KLR",new Coord(4,1,-2,-3));}
            {put("4ebc",new Coord(4,1,4,-2));}
            {put("4ACF",new Coord(4,1,-5,-1));}
            {put("4lmgh",new Coord(4,1,2,1));}
            {put("4EFJK",new Coord(4,1,-3,-3));}
            {put("4EKQR",new Coord(4,1,-1,-2));}
            {put("4OUV",new Coord(4,2,-3,0,0,2));}
            {put("4Xv",new Coord(4,1,1,3));}
            {put("4JQ@",new Coord(4,1,0,-3));}
            {put("4R#t",new Coord(4,1,1,-3));}
            {put("4KLU",new Coord(4,1,-1,-2));}
            {put("4OPW&",new Coord(4,1,-2,1));}
            {put("4ic",new Coord(4,1,3,0));}
            {put("4%n",new Coord(4,1,2,-1));}
            {put("4rklf",new Coord(4,1,1,-1));}
            {put("4KLTU",new Coord(4,2,-2,0,-1,-2));}
            {put("4GHO",new Coord(4,1,-2,0));}
            {put("4FKLR",new Coord(4,1,-1,-1));}
            {put("4CFGKL",new Coord(4,1,-2,0));}
            {put("4Vx",new Coord(4,3,-4,3,-1,3,-2,3));}
            {put("4GKS",new Coord(4,2,-4,-2,-3,-2));}
            {put("4EFKR",new Coord(4,1,-3,-3));}
            {put("4unoi",new Coord(4,1,1,2));}
            {put("4stk",new Coord(4,1,1,-3));}
            {put("4tl",new Coord(4,1,3,-1));}
            {put("4#rkl",new Coord(4,1,2,-3));}
            {put("4vwmn",new Coord(4,1,2,2));}
            {put("4IOU",new Coord(4,1,-1,2));}
            {put("4GK",new Coord(4,1,-3,-2));}
            {put("4&vwo",new Coord(4,1,2,1));}
            {put("4wg",new Coord(4,1,3,2));}
            {put("4RSq",new Coord(4,2,-1,-4,-2,-4));}
            {put("4CI",new Coord(4,1,-4,2));}
            {put("4N*",new Coord(4,1,-2,2));}
            {put("4tuk",new Coord(4,1,1,-2));}
            {put("4OX(",new Coord(4,1,-2,3));}
            {put("4ui",new Coord(4,1,3,0));}
            {put("4mi",new Coord(4,1,2,2));}
            {put("4uvlm",new Coord(4,2,1,-1,2,1));}
            {put("4UV%",new Coord(4,1,0,1));}
            {put("4vwm",new Coord(4,1,2,2));}
            {put("4W*",new Coord(4,1,-2,2));}
            {put("4GHW",new Coord(4,1,-3,2));}
            {put("4#rsk",new Coord(4,1,2,-3));}
            {put("4GHL",new Coord(4,1,-2,1));}
            {put("4NOX(",new Coord(4,2,-2,3,-1,3));}
            {put("4PV",new Coord(4,1,-1,3));}
            {put("4LMV",new Coord(4,1,-1,-1));}
            {put("4*vwn",new Coord(4,1,2,2));}
            {put("4*u",new Coord(4,1,1,2));}
            {put("4Trs",new Coord(4,1,1,-1));}
            {put("4ogc",new Coord(4,1,2,0));}
            {put("4EJKR",new Coord(4,1,-3,-3));}
            {put("4@rjk",new Coord(4,1,2,-4));}
            {put("4tukle",new Coord(4,1,1,-2));}
            {put("4FGMN",new Coord(4,1,-2,-1));}
            {put("4MS",new Coord(4,1,-2,-2));}
            {put("4*w",new Coord(4,1,1,3));}
            {put("4#kl",new Coord(4,1,2,-3));}
            {put("4RS@q",new Coord(4,1,-1,-4));}
            {put("4tj",new Coord(4,2,0,-3,1,-3));}
            {put("4lcd",new Coord(4,1,4,-1));}
            {put("4HIO",new Coord(4,2,-4,2,-3,3));}
            {put("4()o",new Coord(4,1,0,2));}
            {put("4U$",new Coord(4,1,-1,-2));}
            {put("4S#$r",new Coord(4,1,1,-2));}
            {put("4Xy",new Coord(4,1,1,2));}
            {put("4ec",new Coord(4,1,3,0));}
            {put("4CDI",new Coord(4,1,-3,0));}
            {put("4wh",new Coord(4,1,3,2));}
            {put("4wx",new Coord(4,2,1,4,0,4));}
            {put("4MNT",new Coord(4,1,-1,1));}
            {put("4CO",new Coord(4,1,-4,2));}
            {put("4#$s",new Coord(4,1,2,-3));}
            {put("4LS",new Coord(4,3,-1,0,-2,-3,-3,-2));}
            {put("4mngb",new Coord(4,1,2,-1));}
            {put("4MU&",new Coord(4,1,-2,1));}
            {put("4lmf",new Coord(4,3,2,-2,1,-2,3,0));}
            {put("4MNVW",new Coord(4,1,-2,2));}
            {put("4!@qj",new Coord(4,1,0,-3));}
            {put("4Qr",new Coord(4,1,-1,-3));}
            {put("4OPXY",new Coord(4,1,-2,4));}
            {put("4Us",new Coord(4,1,-1,-2));}
            {put("4TU",new Coord(4,1,-2,1));}
            {put("4wxno",new Coord(4,1,2,3));}
            {put("4RS$t",new Coord(4,1,-1,-1));}
            {put("4INOU",new Coord(4,1,-1,2));}
            {put("4!qr",new Coord(4,1,1,-4));}
            {put("4MS$",new Coord(4,1,-2,-2));}
            {put("4lgh",new Coord(4,1,2,1));}
            {put("4FU",new Coord(4,1,-3,0));}
            {put("4nfg",new Coord(4,1,2,-1));}
            {put("4$stl",new Coord(4,1,2,-2));}
            {put("4HMNTU",new Coord(4,1,-1,1));}
            {put("4fd",new Coord(4,1,3,1));}
            {put("4qrk",new Coord(4,1,2,-4));}
            {put("4JT",new Coord(4,1,-1,-3));}
            {put("4IM",new Coord(4,1,-2,2));}
            {put("4DHO",new Coord(4,1,-4,2));}
            {put("4S@",new Coord(4,1,-1,-4));}
            {put("4INV",new Coord(4,1,-1,2));}
            {put("4klg",new Coord(4,1,3,-2));}
            {put("4BGH",new Coord(4,1,-4,1));}
            {put("4EJK",new Coord(4,1,-2,-1));}
            {put("4nogc",new Coord(4,1,2,0));}
            {put("4ukl",new Coord(4,1,1,-2));}
            {put("4mnh",new Coord(4,1,2,2));}
            {put("4ET",new Coord(4,1,-3,-1));}
            {put("4tjk",new Coord(4,1,1,-3));}
            {put("4LM$",new Coord(4,1,-2,-2));}
            {put("4qrj",new Coord(4,1,2,-4));}
            {put("4M%",new Coord(4,1,-2,-1));}
            {put("4ABEF",new Coord(4,1,-3,0));}
            {put("4XY*",new Coord(4,1,0,4));}
            {put("4EJKQR",new Coord(4,1,-1,-2));}
            {put("4J@",new Coord(4,1,-2,-4));}
            {put("4W*(x",new Coord(4,1,1,2));}
            {put("4JKR",new Coord(4,1,-3,-3));}
            {put("4mgb",new Coord(4,1,2,-1));}
            {put("4woh",new Coord(4,1,3,2));}
            {put("4vi",new Coord(4,1,3,1));}
            {put("4X(v",new Coord(4,1,1,3));}
            {put("4U$s",new Coord(4,1,-1,-2));}
            {put("4(wxo",new Coord(4,1,2,3));}
            {put("4O(",new Coord(4,1,-2,3));}
            {put("4rje",new Coord(4,1,3,-3));}
            {put("4HPX",new Coord(4,1,-3,3));}
            {put("4LTU&",new Coord(4,1,0,-1));}
            {put("4&wo",new Coord(4,1,2,1));}
            {put("4stj",new Coord(4,1,0,-3));}
            {put("4CGHO",new Coord(4,1,-2,0));}
            {put("4FGK",new Coord(4,1,-2,0));}
            {put("4JQR@",new Coord(4,1,-2,-4));}
            {put("4W*(y",new Coord(4,1,1,2));}
            {put("4lmghd",new Coord(4,1,2,1));}
            {put("4RS%",new Coord(4,1,0,-3));}
            {put("4tukl",new Coord(4,1,1,-2));}
            {put("4GO",new Coord(4,1,-3,2));}
            {put("4KR#",new Coord(4,1,0,-2));}
            {put("4CHN",new Coord(4,1,-4,1));}
            {put("4V&*w",new Coord(4,1,0,2));}
            {put("4OX()",new Coord(4,1,0,2));}
            {put("4XY-",new Coord(4,1,-1,5));}
            {put("4Wuv",new Coord(4,1,1,2));}
            {put("4*wn",new Coord(4,1,2,2));}
            {put("4R!",new Coord(4,1,-1,-5));}
            {put("4DHLM",new Coord(4,1,-2,1));}
            {put("4lmg",new Coord(4,1,2,1));}
            {put("4uno",new Coord(4,1,1,2));}
            {put("4xpi",new Coord(4,1,1,2));}
            {put("4tun",new Coord(4,1,2,-1));}
            {put("4ue",new Coord(4,1,3,0));}
            {put("4CEK",new Coord(4,1,-4,-2));}
            {put("4T#r",new Coord(4,1,-1,-3));}
            {put("4kec",new Coord(4,1,4,-2));}
            {put("4noghc",new Coord(4,1,2,0));}
            {put("4rsf",new Coord(4,1,1,-1));}
            {put("4FLMUV",new Coord(4,1,-1,-1));}
            {put("4Q#r",new Coord(4,1,1,-4));}
            {put("4JKQ",new Coord(4,1,-2,-4));}
            {put("4OY)",new Coord(4,1,-2,4));}
            {put("4ohid",new Coord(4,1,4,3));}
            {put("4vf",new Coord(4,1,3,1));}
            {put("4S%t",new Coord(4,1,1,-2));}
            {put("4T$%rs",new Coord(4,1,1,-1));}
            {put("4STr",new Coord(4,1,-1,-3));}
            {put("4CL",new Coord(4,1,-4,-1));}
            {put("4S@q",new Coord(4,1,-1,-4));}
            {put("4R$s",new Coord(4,1,-1,-2));}
            {put("4EKR",new Coord(4,1,-3,-3));}
            {put("4ica",new Coord(4,1,3,0));}
            {put("4JQ!@",new Coord(4,1,0,-3));}
            {put("4umi",new Coord(4,1,3,0));}
            {put("4W(x",new Coord(4,1,1,2));}
            {put("4RS@",new Coord(4,1,-1,-4));}
            {put("4HL",new Coord(4,1,-2,1));}
            {put("4V&w",new Coord(4,1,-1,2));}
            {put("4BHN",new Coord(4,1,-4,1));}
            {put("4CNO",new Coord(4,1,-2,0));}
            {put("4LN",new Coord(4,1,-3,-1));}
            {put("4mnfg",new Coord(4,1,2,-1));}
            {put("4FMUV",new Coord(4,1,-1,-1));}
            {put("4JKQR",new Coord(4,1,-2,-4));}
            {put("4%t",new Coord(4,1,2,-1));}
            {put("4FGKL",new Coord(4,1,-3,-2));}
            {put("4BN",new Coord(4,1,-4,1));}
            {put("4)-xyp",new Coord(4,1,0,3));}
            {put("4vp",new Coord(4,1,1,3));}
            {put("4GHT",new Coord(4,1,-3,-1));}
            {put("4efbca",new Coord(4,1,3,0));}
            {put("4skfg",new Coord(4,1,3,-1));}
            {put("4%sk",new Coord(4,1,2,-1));}
            {put("4tlmg",new Coord(4,1,3,-1));}
            {put("4PXY)",new Coord(4,1,-1,4));}
            {put("4tlh",new Coord(4,1,3,-1));}
            {put("4HX",new Coord(4,1,-3,3));}
            {put("4S#r",new Coord(4,1,1,-2));}
            {put("4PY)",new Coord(4,1,0,3));}
            {put("4tumnh",new Coord(4,1,1,1));}
            {put("4xno",new Coord(4,1,2,3));}
            {put("4&wx",new Coord(4,1,0,3));}
            {put("4BCN",new Coord(4,1,-4,2));}
            {put("4WX&*v",new Coord(4,1,-1,1));}
            {put("4rsklf",new Coord(4,1,1,-1));}
            {put("4slf",new Coord(4,1,3,-2));}
            {put("4FGV",new Coord(4,1,-3,1));}
            {put("4HNO",new Coord(4,1,-2,0));}
            {put("4MNW",new Coord(4,1,-2,2));}
            {put("4@qrj",new Coord(4,1,0,-3));}
            {put("4jkeb",new Coord(4,1,2,-1));}
            {put("4NTU",new Coord(4,1,-2,-1));}
            {put("4Q@r",new Coord(4,1,-1,-3));}
            {put("4rjke",new Coord(4,1,3,-3));}
            {put("4T$%",new Coord(4,1,-1,-2));}
            {put("4GV",new Coord(4,1,-3,1));}
            {put("4oic",new Coord(4,1,4,2));}
            {put("4uvo",new Coord(4,1,1,2));}
            {put("4Yw",new Coord(4,1,1,4));}
        };
    }
}
